
# (c) COPYRIGHT 1996 URI/MIT
# Please read the full copyright statement in the file COPYRIGH.  
#
# Authors:
#      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

# The progress indicator popup. The progress indicator shows the user how
# much of the data request has been transfered from the server to the client
# and how much remains. It is continually updated during the transmission
# process and includes information on URL lookup an resolution.
#
# The progress indicator is a separate program which the DODS core software
# communicates with during data tranmissions. Users can replace this program
# with one of their own creation or can remove it altogether (thus disabling
# the progress indicator).
# 
# To run this code, start wish and then source this file. Feed commands to it
# via the `progress' procedure. wish must be started in its interactive mode
# so that commands canbe entered from stdin.
#
# jhrg 5/29/96

# $Log: dods_gui.tcl.in,v $
# Revision 1.4  1997/06/09 21:01:04  jimg
# Added tests for presence of $env(DODS_ROOT). In its absence use values of
# DODS_ROOT set at the time of the build. This means that many users of the
# binary distribution will have to set DODS_ROOT in the shell/rc script to get
# the GUI to work.
#
# Revision 1.3  1997/04/11 19:31:25  jimg
# Changed the two `source' lines so that they now use th DODS_ROOT environment
# variable.
#
# Revision 1.2  1996/11/18 21:51:22  jimg
# Added newline at end of file - configure was leaving the last line out of
# the generated file.
#
# Revision 1.1  1996/11/15 23:23:43  jimg
# Created from dods_gui.tcl - now configure sets the DODS_ROOT pathname so that
# the source commands work regardless of the directory from which this script
# is run.
#
# Revision 1.5  1996/06/22 00:10:07  jimg
# Changed error window title.
# Moved progress code from dods_gui.tcl - the code is now used to
# initialize the GUI which is spread among several files.
#
# Revision 1.4  1996/06/19 00:01:59  jimg
# Made the text widget fixed in size.
# Made the bar fill the canvas widget size (a real hack there).
#
# Revision 1.3  1996/06/14 22:47:50  jimg
# Changed the value of PERCENT in progress_bar that causes the `bouncing rect'
# from 0 to -1 since wwwlib uses a value of zero the first time it reports the
# amount of a document received.
# Removed the exit case in the progress procedure; to get the GUI to exit just
# send the program the string `exit\r'. This is independent of the progress
# indicator per se.
#
# Revision 1.2  1996/06/13 22:02:48  jimg
# Added `puts OK' to the end of the program so that expect can tell when it has
# been loaded.
#
# Revision 1.1  1996/06/12 20:24:57  jimg
# Created.
#

wm withdraw .			;# Hide wish's toplevel window

# Font used for user entries (and for messages in the progress indicator).
set font -*-courier-medium-r-normal--*-100-*-*-*-*-*-*

# Specify these so that the user does not have to place the popup - they can
# move it later and the window manager will (or should!) remember so that
# when we reparent it, the window popups where it was last placed by the user.
set err_geometry +200+200
set pass_geometry +200+200
set progress_geometry +30+0

if {[info exists env(DODS_ROOT)]} {
    source $env(DODS_ROOT)/etc/progress.tcl
    source $env(DODS_ROOT)/etc/error.tcl
    set status 1
} elseif {[file exists /usr/local/DODS-releases/DODS-3.1/etc/progress.tcl]} {
    source /usr/local/DODS-releases/DODS-3.1/etc/progress.tcl
    source /usr/local/DODS-releases/DODS-3.1/etc/error.tcl
    set status 1
} else {
    set status 0
}

if {$status} {
    puts "OK"
} else {
    puts "Error loading dods gui"
}
